{% extends "customers/base.html" %}
{% load i18n %}

{% block title %}Emails{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item active">Emails</li>
	  </ol>
	  <!-- end breadcrumb -->
	
	<!-- begin page-header -->
	<h1 class="page-header">Lista <small>Email</small></h1>
  <!-- end page-header -->
<!-- begin row -->
<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Visualización de emails enviados</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
            <div class="row mb-3">
                <div class="col-sm-12 col-md-12">
                    <a class="btn btn-success btn-sm pull-right ml-1" href="{% url 'email-create' %}">Nuevo</a>
                </div>
              </div>

        <div id="extra" role="tabpanel" class="tab-pane active">

      <table class="table table-bordered">
	<thead>
	  <tr>
	    <th>ID</th>
	    <th>Subject</th>
	    <th>¿Enviado?</th>
	  </tr>
	</thead>
	<tbody>
	  {% for email in object_list %}
	  <tr>
	    <th scope="row"><a href="#">{{ email.pk }}</a></th>
	    <td>{{ email.subject }}</td>
	    <td>{{ email.sent|yesno:"Sí,No" }}</td>
	  </tr>
	  {% endfor %}
	</tbody>
      </table>
      {% if is_paginated %}
      <div class="pagination">
            <span class="page-links">
                {% if page_obj.has_previous %}
                    <a class="btn btn-default" href="?page={{ page_obj.previous_page_number }}">«</a>
                {% endif %}
                <span class="page-current">
                    Página {{ page_obj.number }} de {{ page_obj.paginator.num_pages }}.
                </span>
                {% if page_obj.has_next %}
                    <a class="btn btn-default" href="?page={{ page_obj.next_page_number }}">»</a>
                {% endif %}
            </span>
      </div>
      {% endif %}
    <!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->
{% endblock %}

{% block pageleveljs %}
    <script type="text/javascript">
    //active menu
    document.getElementById("emails_menu").classList.add("active");
    //active submenu item
    document.getElementById("emails_item").classList.add("active");
</script>
{% endblock %}